<template>
  <div>
    <NuxtRouteAnnouncer />
    <NuxtPage />
  </div>
</template>

<script setup>
import { useDataStore } from '@/store/dataStore'
useHead({
  bodyAttrs: {
    class: 'bg-slate-100 dark:bg-slate-900'
  }
})

// @todo : load datas as plugin/middleware (cant load pinia in plugin/middleware) ?
onMounted(async () => {
  const dataStore = await useDataStore()
  await dataStore.loadData()
})
</script>

<style>
button {
  @apply px-4 py-2 m-4 bg-esyellow text-slate-700 rounded-md;
}
</style>